#ifndef ICONCOLR_HEADER
#define ICONCOLR_HEADER

#include "iconutil.h"

#define kNotAColorIndex         -1
#define kTransparentColorIndex  -2

typedef struct ColorSelectTag
    {
    int     colorIndex;
    int     transparentColor;
    int     colorPalettePanel;
    int     depth;
    int     numColors;
    Icon    *icon;
    } ColorSelect;
    
extern  ColorSelect gColorSelector;

void    ColorSelect_InstallIcon(ColorSelect *colorSelector, Icon *icon);
void    ColorSelect_UnInstallIcon(ColorSelect *colorSelector, Icon *icon);
void    ColorSelect_SetDepth(ColorSelect *colorSelector, int colorDepth);
int     ColorSelect_Depth(ColorSelect *colorSelector);
void    ColorSelect_SetIndex(ColorSelect *colorSelector, int index);      
int     ColorSelect_GetIndex(ColorSelect *colorSelector);    
void    ColorSelect_SetIndexColor(ColorSelect *colorSelector, int index, int color);
int     ColorSelect_GetIndexColor(ColorSelect *colorSelector, int index);

void    GetDefaultColorTable(int *colorTable, int colorDepth, int numColors);

#endif /* ICONCOLR_HEADER */
