#include    <userint.h>
#include    "iconedit.h"
#include    "icontool.h"
#include    "iconui.h"
#include    "iconutil.h"

typedef struct
    {
    int paletteUp, menu;
    } ToolType;

ToolType tools[10];
extern int toolPalettePanel, menuBar, editPanel;
int gCurrentTool = kPencilTool;

void InitTools()
    {
    tools[kPencilTool].menu = MENUBAR_TOOLS_PENCIL;
    tools[kSelectSquareTool].menu = MENUBAR_TOOLS_SELECTSQUARE;
    tools[kTextTool].menu = MENUBAR_TOOLS_TEXT;
    tools[kSelectTool].menu = MENUBAR_TOOLS_SELECT;
    tools[kLineTool].menu = MENUBAR_TOOLS_LINE;
    tools[kFloodTool].menu = MENUBAR_TOOLS_FILL;
    tools[kBoxFrameTool].menu = MENUBAR_TOOLS_RECT;
    tools[kBoxFillTool].menu = MENUBAR_TOOLS_FRECT;
    tools[kOvalFrameTool].menu = MENUBAR_TOOLS_OVAL;
    tools[kOvalFillTool].menu = MENUBAR_TOOLS_FOVAL;

    tools[kPencilTool].paletteUp = TOOLS_PENCIL;
    tools[kSelectTool].paletteUp = TOOLS_SELECT;
    tools[kSelectSquareTool].paletteUp = TOOLS_SELECTSQUARE;
    tools[kTextTool].paletteUp = TOOLS_TEXT;
    tools[kLineTool].paletteUp = TOOLS_LINE;
    tools[kFloodTool].paletteUp = TOOLS_FLOOD;
    tools[kBoxFrameTool].paletteUp = TOOLS_BOX_FRAME;
    tools[kBoxFillTool].paletteUp = TOOLS_BOX_FILL;
    tools[kOvalFrameTool].paletteUp = TOOLS_OVAL_FRAME;
    tools[kOvalFillTool].paletteUp = TOOLS_OVAL_FILL;
    }

int GetCurrentTool()
    {
    return gCurrentTool;
    }


void SetCursorForCurrentTool(void)
{
    switch (gCurrentTool)
        {
        case kPencilTool:
        case kSelectTool:
        case kSelectSquareTool:
        case kFloodTool:
            SetPanelAttribute(editPanel, ATTR_MOUSE_CURSOR, VAL_POINTING_FINGER_CURSOR);
            break;
        default:
            SetPanelAttribute(editPanel, ATTR_MOUSE_CURSOR, VAL_CROSS_HAIR_CURSOR);
            break;
        }
}


void SetCurrentTool(int tool)
    {
    Icon    *icon = SelectedIcon();
    int     oldTool = gCurrentTool;
        
    SetCtrlVal (toolPalettePanel, tools[gCurrentTool].paletteUp, 0);
    SetCtrlAttribute (toolPalettePanel, tools[gCurrentTool].paletteUp,
                      ATTR_CTRL_MODE, VAL_HOT);
    SetMenuBarAttribute(menuBar, tools[gCurrentTool].menu, ATTR_CHECKED, 0);
    gCurrentTool = tool;
    SetCtrlVal (toolPalettePanel, tools[gCurrentTool].paletteUp, 1);
    SetCtrlAttribute (toolPalettePanel, tools[gCurrentTool].paletteUp,
                      ATTR_CTRL_MODE, VAL_INDICATOR);
    SetMenuBarAttribute(menuBar, tools[gCurrentTool].menu, ATTR_CHECKED, 1);

    SetCursorForCurrentTool();
    
    if (tool != oldTool)
        {
        if (tool == kTextTool || oldTool == kTextTool)
            TextTool_HandleToolChange(&gEditSelection, icon, tool, oldTool);

        Sel_ClearSelection(&gEditSelection, icon);
        
        if (icon)
            Display_Update(icon, kEditingIcon);   
        }
    }

int CVICALLBACK BoxFillCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kBoxFillTool);

    return 0;
    }

int CVICALLBACK BoxFrameCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kBoxFrameTool);

    return 0;
    }

int  CVICALLBACK FloodCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kFloodTool);

    return 0;
    }

int  CVICALLBACK LineCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kLineTool);

    return 0;
    }

int  CVICALLBACK OvalFillCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kOvalFillTool);

    return 0;
    }

int  CVICALLBACK OvalFrameCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kOvalFrameTool);

    return 0;
    }

int  CVICALLBACK SelectCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kSelectTool);

    return 0;
    }

int  CVICALLBACK TextCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kTextTool);

    return 0;
    }

int  CVICALLBACK SelectSquareCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    if (event == EVENT_COMMIT)
        SetCurrentTool(kSelectSquareTool);

    return 0;
    }

int  CVICALLBACK PencilCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        SetCurrentTool(kPencilTool);

    return 0;
}

void CVICALLBACK PencilToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kPencilTool);
    }

void CVICALLBACK EraseToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kSelectTool);
    }

void CVICALLBACK LineToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kLineTool);
    }

void CVICALLBACK FillToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kFloodTool);
    }

void CVICALLBACK RectToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kBoxFrameTool);
    }

void CVICALLBACK FilledRectCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kBoxFillTool);
    }

void CVICALLBACK OvalToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kOvalFrameTool);
    }

void CVICALLBACK FilledOvalCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kOvalFillTool);
    }

void CVICALLBACK SelectToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kSelectTool);
    }

void CVICALLBACK SelectSquareToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kSelectSquareTool);
    }

void CVICALLBACK TextToolCallback(int menubar, int menuItem, void *callbackData, int panel)
    {
    SetCurrentTool(kTextTool);
    }    
