/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUTBOX                        1
#define  ABOUTBOX_COMMANDBUTTON          2       /* callback function: ExitAboutBoxCallback */
#define  ABOUTBOX_RING                   3
#define  ABOUTBOX_LISSAJOUSDEMO          4
#define  ABOUTBOX_PICTURE_2              5
#define  ABOUTBOX_THISDEMOSIMULATESANOS  6

#define  PANEL                           2       /* callback function: PanelCallback */
#define  PANEL_CHAN1FREQUENCY            2       /* callback function: SettingsChangedCallback */
#define  PANEL_CHAN1GAIN                 3       /* callback function: SettingsChangedCallback */
#define  PANEL_CHAN1WAVEFORMTYPE         4       /* callback function: SettingsChangedCallback */
#define  PANEL_CHAN2FREQUENCY            5       /* callback function: SettingsChangedCallback */
#define  PANEL_CHAN2GAIN                 6       /* callback function: SettingsChangedCallback */
#define  PANEL_CHAN2WAVEFORMTYPE         7       /* callback function: SettingsChangedCallback */
#define  PANEL_ALIGNFREQ                 8       /* callback function: AlignFrequenciesCallback */
#define  PANEL_ONOFF                     9
#define  PANEL_SAMPLESPERSWEEP           10      /* callback function: SettingsChangedCallback */
#define  PANEL_SWEEPPERIOD               11      /* callback function: SettingsChangedCallback */
#define  PANEL_PHASEDRIFT                12      /* callback function: PhaseDriftCallback */
#define  PANEL_TRACECOLOR                13      /* callback function: TraceColorCallback */
#define  PANEL_BGCOLOR                   14      /* callback function: BgColorCallback */
#define  PANEL_APPLY                     15      /* callback function: ApplySettingCallback */
#define  PANEL_SAVE                      16      /* callback function: SaveSettingsCallback */
#define  PANEL_DELETE                    17      /* callback function: DeleteSettingCallback */
#define  PANEL_SAVEDSETTINGSLIST         18      /* callback function: ApplySettingCallback */
#define  PANEL_PLOTSPERMINUTE            19
#define  PANEL_SCOPEDISPLAY              20
#define  PANEL_SPEED                     21      /* callback function: SpeedCallback */
#define  PANEL_DECORATION                22
#define  PANEL_DECORATION_2              23
#define  PANEL_DECORATION_3              24
#define  PANEL_DECORATION_4              25
#define  PANEL_TEXTMSG                   26
#define  PANEL_CHANNELONE                27
#define  PANEL_CHANNELTWO                28
#define  PANEL_TIMER                     29      /* callback function: TimerCallback */


     /* Menu Bars, Menus, and Menu Items: */

#define  LISSBAR                         1
#define  LISSBAR_LISSMENU                2
#define  LISSBAR_LISSMENU_ABOUT          3       /* callback function: AboutLissaMenuItemCallback */
#define  LISSBAR_LISSMENU_SEPARATOR      4
#define  LISSBAR_LISSMENU_EXIT           5       /* callback function: ExitCallback */


     /* Callback Prototypes: */ 

void CVICALLBACK AboutLissaMenuItemCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK AlignFrequenciesCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ApplySettingCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK BgColorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DeleteSettingCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ExitAboutBoxCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK ExitCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PhaseDriftCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SaveSettingsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SettingsChangedCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SpeedCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TraceColorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
