#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>

int     bump = 5, offset=0;
int     menuBar, parent, input, quit, speed;
int     child, marquee, textLength, fg, bg, color, i;
char    buf[1024];

int CVICALLBACK MainCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int CVICALLBACK MainCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
    {
    switch (event)
        {
        case EVENT_CLOSE :
            QuitUserInterface(0);
        case EVENT_COMMIT:
            if ((panel == menuBar) && (control == quit))
                QuitUserInterface(0);
        case EVENT_IDLE:
            offset -= bump;
            if (offset <=  -textLength)
                offset = 400;
            SetCtrlAttribute(child, marquee, ATTR_LEFT, offset);
            break;
        case EVENT_VAL_CHANGED:
            if ((panel == parent) && (control == fg))
                {
                GetCtrlVal(parent, fg, &color);
                SetCtrlAttribute(child, marquee, ATTR_TEXT_COLOR, color);
                }
            else if ((panel == parent) && (control == bg))
                {
                GetCtrlVal(parent, bg, &color);
                SetCtrlAttribute(child, marquee, ATTR_TEXT_BGCOLOR, color);
                SetPanelAttribute(child,ATTR_BACKCOLOR, color);
                }
            else if ((panel == parent) && (control == speed))
                GetCtrlVal(parent, speed, &bump);
            else if ((panel == parent) && (control == input))
                {
                GetCtrlVal(parent, input, buf);
                SetCtrlVal(child, marquee, buf);
                GetTextDisplaySize(buf, VAL_7SEG_META_FONT, 0, &textLength);
                }
            break;
        }
    return 0;
    }

int main (int argc, char *argv[])
    {
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    parent = NewPanel (0, "Marquee", VAL_AUTO_CENTER, VAL_AUTO_CENTER, 250, 500);

    menuBar = NewMenuBar (parent);
    quit = NewMenu (menuBar, "__Quit", -1);

    child = NewPanel (parent, "", 50, 50, 50, 400);
    SetPanelAttribute (child, ATTR_TITLEBAR_VISIBLE, 0);
    SetPanelAttribute (child, ATTR_SIZABLE, 0);
    SetPanelAttribute (child, ATTR_MOVABLE, 0);
    SetPanelAttribute (child, ATTR_BACKCOLOR, VAL_BLACK);
    SetPanelAttribute (child, ATTR_FRAME_STYLE, VAL_RAISED_FRAME);

    marquee = NewCtrl (child, CTRL_TEXT_MSG, "LabWindows/CVI The Programmer's Choice for Instrumentation", 15, 0);
    SetCtrlAttribute (child, marquee, ATTR_TEXT_FONT, VAL_7SEG_META_FONT);
    SetCtrlAttribute (child, marquee, ATTR_TEXT_COLOR, VAL_RED);
    SetCtrlAttribute (child, marquee, ATTR_TEXT_BGCOLOR, VAL_BLACK);
    GetCtrlVal (child, marquee, buf);
    GetTextDisplaySize(buf, VAL_7SEG_META_FONT, 0, &textLength);

    input = NewCtrl (parent, CTRL_STRING, "Input", 150, 100);
    SetCtrlAttribute (parent, input, ATTR_WIDTH, 350);
    SetCtrlAttribute (parent, input, ATTR_LABEL_LEFT, 50);
    SetCtrlAttribute (parent, input, ATTR_LABEL_TOP, VAL_AUTO_CENTER);
    SetCtrlAttribute (parent, input, ATTR_MAX_ENTRY_LENGTH, 1024);
    SetCtrlVal (parent, input, buf);

    speed = NewCtrl(parent, CTRL_RING_HSLIDE, "Speed", 200, 100);
    SetCtrlAttribute (parent, speed, ATTR_LABEL_LEFT, 50);
    SetCtrlAttribute (parent, speed, ATTR_LABEL_TOP, VAL_AUTO_CENTER);
    InsertListItem(parent, speed, -1, "Slow", 1);
    for (i=2; i<=24; i++)
        InsertListItem(parent, speed, -1, "", i);
    InsertListItem(parent, speed, -1, "Fast", 25);
    SetCtrlAttribute (parent, speed, ATTR_WIDTH, 100);
    SetCtrlIndex(parent, speed, 2);

    fg = NewCtrl(parent, CTRL_COLOR_NUMERIC, "Foreground", 200, 250);
    SetCtrlAttribute(parent, fg, ATTR_SHOW_TRANSPARENT, 0);
    SetCtrlVal(parent, fg, VAL_RED);

    bg = NewCtrl(parent, CTRL_COLOR_NUMERIC, "Background", 200, 355);
    SetCtrlAttribute(parent, bg, ATTR_SHOW_TRANSPARENT, 0);

    DisplayPanel (child);
    InstallPopup (parent);
    InstallMainCallback(MainCallback, 0, 1);
    SetIdleEventRate(25);
    RunUserInterface();
    RemovePopup (0);

    return 0;
    }
