/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DAQPANEL                        1
#define  DAQPANEL_BOARD                  2       /* callback function: GetBoard */
#define  DAQPANEL_CHANNEL                3       /* callback function: Getchannel */
#define  DAQPANEL_SAMPRATE               4       /* callback function: Getsamprate */
#define  DAQPANEL_POINTS                 5       /* callback function: Getpoints */
#define  DAQPANEL_QUITDAQCONF            6       /* callback function: Quitdaqconf */
#define  DAQPANEL_SIGNALSWITCH           7       /* callback function: Getsignalswitch */
#define  DAQPANEL_SIMSIGNALTYPE          8       /* callback function: Getsimsignaltype */
#define  DAQPANEL_SIMSIGNALFREQ          9       /* callback function: Getsimsignalfreq */

#define  FILTERPNL                       2
#define  FILTERPNL_FILTERENABLE          2       /* callback function: Enablefilters */
#define  FILTERPNL_FILTTYPE              3       /* callback function: Getfiltype */
#define  FILTERPNL_IIRTYPE               4       /* callback function: Getiirtype */
#define  FILTERPNL_IIRORDER              5       /* callback function: Getiirorder */
#define  FILTERPNL_FIRCUTOFF1            6       /* callback function: Getfircutoff1 */
#define  FILTERPNL_IIRCUTOFF1            7       /* callback function: Getiircutoff1 */
#define  FILTERPNL_FIRCUTOFF2            8       /* callback function: Getfircutoff2 */
#define  FILTERPNL_IIRCUTOFF2            9       /* callback function: Getiircutoff2 */
#define  FILTERPNL_PASSBNDRIP            10      /* callback function: Getpassbndrip */
#define  FILTERPNL_STPBNDATT             11      /* callback function: Getstpbndatt */
#define  FILTERPNL_FIRFILTYPE            12      /* callback function: Getfirfiltype */
#define  FILTERPNL_FIRWINDOW             13      /* callback function: Getfirwindow */
#define  FILTERPNL_FIRLENGTH             14      /* callback function: Getfirlength */
#define  FILTERPNL_KAISERBETA            15      /* callback function: Getkaibeta */
#define  FILTERPNL_FILTERFUNC            16      /* callback function: Getfilterfunc */
#define  FILTERPNL_OK                    17      /* callback function: Returntomain */

#define  HELPPNL                         3
#define  HELPPNL_QUITHELP                2       /* callback function: Quithelp */
#define  HELPPNL_HELPTXT                 3

#define  MAINPNL                         4
#define  MAINPNL_FREQGRAPH               2
#define  MAINPNL_TIMEGRAPH               3
#define  MAINPNL_DATAWINDOW              4       /* callback function: Getdatawindow */
#define  MAINPNL_WINDOWGRAPH             5
#define  MAINPNL_FILTERSEL               6       /* callback function: Getfilter */
#define  MAINPNL_START                   7       /* callback function: Start */
#define  MAINPNL_STOP                    8       /* callback function: Stop */
#define  MAINPNL_QUIT                    9       /* callback function: Quit */
#define  MAINPNL_SCALE                   10      /* callback function: Getscale */
#define  MAINPNL_CONFIGDAQ               11      /* callback function: ConfigureDaq */
#define  MAINPNL_FREQDISPLAY             12      /* callback function: Getdisplaymode */
#define  MAINPNL_HELP                    13      /* callback function: Callhelp */
#define  MAINPNL_GRAPHSCALING            14      /* callback function: Scalegraphs */
#define  MAINPNL_TIMER                   15      /* callback function: Getdata */

#define  SCALEPNL                        5
#define  SCALEPNL_WAVEFORMYMIN           2       /* callback function: Getwaveformymin */
#define  SCALEPNL_WAVEFORMYMAX           3       /* callback function: Getwaveformymax */
#define  SCALEPNL_SPECTRUMLINMIN         4       /* callback function: Getspectrumlinmin */
#define  SCALEPNL_SPECTRUMLINMAX         5       /* callback function: Getspectrumlinmax */
#define  SCALEPNL_SPECTRUMDBMIN          6       /* callback function: Getspectrumdbmin */
#define  SCALEPNL_SPECTRUMDBMAX          7       /* callback function: Getspectrumdbmax */
#define  SCALEPNL_SPECTRUMDBMMIN         8       /* callback function: Getspectrumdbmmin */
#define  SCALEPNL_SPECTRUMDBMMAX         9       /* callback function: Getspectrumdbmmax */
#define  SCALEPNL_TIMEWAVEMIN            10      /* callback function: Gettimewavemin */
#define  SCALEPNL_TIMEWAVEMAX            11      /* callback function: Gettimewavemax */
#define  SCALEPNL_QUITGRSCALING          12      /* callback function: Quitgraphscaling */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Callhelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ConfigureDaq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Enablefilters(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GetBoard(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getchannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getdata(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getdatawindow(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getdisplaymode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfilter(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfilterfunc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfiltype(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfircutoff1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfircutoff2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfirfiltype(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfirlength(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getfirwindow(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getiircutoff1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getiircutoff2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getiirorder(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getiirtype(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getkaibeta(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getpassbndrip(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getpoints(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getsamprate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getscale(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getsignalswitch(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getsimsignalfreq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getsimsignaltype(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumdbmax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumdbmin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumdbmmax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumdbmmin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumlinmax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getspectrumlinmin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getstpbndatt(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Gettimewavemax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Gettimewavemin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getwaveformymax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Getwaveformymin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quitdaqconf(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quitgraphscaling(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quithelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Returntomain(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Scalegraphs(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Start(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Stop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
