#include <userint.h>
#include "UIRView.h"

/*
 * This module contains the control callbacks
 */

#include "Main.h"

/*
 * UIR list box
 */
int CVICALLBACK FnLB_UirSelect (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
    PNL *pPNLItem;
    
    switch (event) {
        case EVENT_VAL_CHANGED:
            FnPNLListBoxInit(FnGetCurrentUIRItem());
            
            pPNLItem = FnGetCurrentPNLItem();
            if (pPNLItem->hPanel) {
                FnWindow(pPNLItem->hPanel, EVENT_GOT_FOCUS, NULL, 0, 0);
                FnPNLListBoxUpdate();
            }   
        
        break;
    }
    FnUIRListBoxUpdate();
        
    return 0;
}



/*
 * PNL list box
 */
int CVICALLBACK FnLB_PnlSelect (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
    BOOLEAN bChecked;
    int iIndex;
    UIR *pUIRItem;
    PNL *pPNLItem;
    int retVal = 0;

    if (!(pUIRItem = FnGetCurrentUIRItem()) 
            || !(pPNLItem = FnGetCurrentPNLItem()))
        return 0;

    switch (event) {
        case EVENT_VAL_CHANGED:
            /* Give Focus to window if it is open already */
            if (pPNLItem->hPanel) {
                FnWindow(pPNLItem->hPanel, EVENT_GOT_FOCUS, NULL, 0, 0);
            }   
            break;
        case EVENT_COMMIT:
            /* open window if it is not open already */
            if (!pPNLItem->hPanel) {
                FnDisplayNewPanel(pPNLItem); 
                FnPNLListBoxUpdate();
            }   
            else {
                /* Close the window if already open */              
                FnWindow(pPNLItem->hPanel, EVENT_CLOSE, NULL, 0, 0);
            }   
        
            break;
    }
    return retVal;
}



/*
 * Callback for the help window OK button
 */
int CVICALLBACK FnUIRViewerHelpOK (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
    switch (event) {
        case EVENT_COMMIT:
            QuitUserInterface (0);
            break;
        case EVENT_RIGHT_CLICK:

            break;
    }
    return 0;
}
