/*
 * This module contains the main program     
 */
 
#define ALLOC_GLOBALS  /* allocate global variables when linking main */
#include "Main.h"

int main ()
{
    UIR UIRSample;
    WIN WINSample;
    int reportLoadFailure;
    int allowMissingCallbacks;

    /* init uir and win linked list */
    FnListInit(&UIRList, &UIRSample, &UIRSample.pNext, &UIRSample.pPrev);
    FnListInit(&WINList, &WINSample, &WINSample.pNext, &WINSample.pPrev);
    
    /* load, diaplay, and run main panel */
    FnGetMainPanelHandle(TRUE);

    SetPrintAttribute (ATTR_PAPER_HEIGHT, VAL_USE_PRINTER_DEFAULT);
    SetPrintAttribute (ATTR_PAPER_WIDTH, VAL_USE_PRINTER_DEFAULT);

    /* Prevent complaints about missing callbacks */
    GetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, &reportLoadFailure);
    SetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, 1);
    GetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, &allowMissingCallbacks); 
    SetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, 0);

    /* run the user interface */
    RunUserInterface ();
    
    DiscardPanel(FnGetMainPanelHandle(FALSE));

    /* Reset value to prevent complaints about missing callbacks */
    SetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, reportLoadFailure);
    SetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, allowMissingCallbacks);
    return 0;
}

