/*
 * #includes and #defines
 */
#define ALLOC_GLOBALS 
 
#include "UIRView.h"
#include "Data.h"
#include "utils.h"

/*
 * Main program     
 */
int main ()
{
    UIR UIRSample;
    WIN WINSample;
    int reportLoadFailure;
    int allowMissingCallbacks;

    /* init uir and win linked list */
    FnListInit(&UIRList, &UIRSample, &UIRSample.pNext, &UIRSample.pPrev);
    FnListInit(&WINList, &WINSample, &WINSample.pNext, &WINSample.pPrev);
    
    /* load, diaplay, and run main panel */
    FnGetMainPanelHandle();

    /* Prevent complaints about missing callbacks */
    GetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, &reportLoadFailure);
    SetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, 1);
    GetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, &allowMissingCallbacks); 
    SetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, 0);

    RunUserInterface ();

    /* Reset value to prevent complaints about missing callbacks */
    SetSystemAttribute (ATTR_REPORT_LOAD_FAILURE, reportLoadFailure);
    SetSystemAttribute (ATTR_ALLOW_MISSING_CALLBACKS, allowMissingCallbacks);
    return 0;
}

