/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT                           1       /* callback function: FnAboutPanelCallback */
#define  ABOUT_PICTURE                   2

#define  CHILD_PNL                       2       /* callback function: FnChildPanel */

#define  HELP                            3
#define  HELP_TEXTBOX                    2
#define  HELP_OK                         3       /* callback function: FnUIRViewerHelpOK */

#define  MAIN_PNL                        4       /* callback function: FnMainPnl */
#define  MAIN_PNL_LB_UIR_SELECT          2       /* callback function: FnLB_UirSelect */
#define  MAIN_PNL_LB_PNL_SELECT          3       /* callback function: FnLB_PnlSelect */
#define  MAIN_PNL_TEXTMSG_2              4
#define  MAIN_PNL_TEXTMSG                5


     /* Menu Bars, Menus, and Menu Items: */

#define  MAIN                            1
#define  MAIN_FILE                       2
#define  MAIN_FILE_OPEN                  3       /* callback function: FnFileOpen */
#define  MAIN_FILE_CLOSE                 4       /* callback function: FnFileClose */
#define  MAIN_FILE_SEP0                  5
#define  MAIN_FILE_EXIT                  6       /* callback function: FnFileExit */
#define  MAIN_PANEL                      7
#define  MAIN_PANEL_COPY                 8       /* callback function: FnPanelCopy */
#define  MAIN_PANEL_PRINT                9       /* callback function: FnPanelPrint */
#define  MAIN_PANEL_SAVE                 10      /* callback function: FnPanelSave */
#define  MAIN_PANEL_SEP1                 11
#define  MAIN_PANEL_ATTR                 12
#define  MAIN_PANEL_ATTR_SUBMENU         13
#define  MAIN_PANEL_ATTR_CAN_MAX         14      /* callback function: FnPanelAttrCanMaximize */
#define  MAIN_PANEL_ATTR_CAN_MIN         15      /* callback function: FnPanelAttrCanMinimize */
#define  MAIN_PANEL_ATTR_CLOSE_CTRL      16      /* callback function: FnPanelAttrCloseControl */
#define  MAIN_PANEL_ATTR_MOVABLE         17      /* callback function: FnPanelAttrMovable */
#define  MAIN_PANEL_ATTR_PARENT          18      /* callback function: FnPanelAttrParent */
#define  MAIN_PANEL_ATTR_SIZABLE         19      /* callback function: FnPanelAttrSizable */
#define  MAIN_PANEL_ATTR_TITLE           20      /* callback function: FnPanelAttrTitle */
#define  MAIN_PANEL_ATTR_TITLE_BAR       21      /* callback function: FnPanelAttrTitleBar */
#define  MAIN_PANEL_ATTR_SYSTEM_COLORS   22      /* callback function: FnPanelAttrSystemColors */
#define  MAIN_PANEL_SEP2                 23
#define  MAIN_PANEL_CLOSE                24      /* callback function: FnPanelClose */
#define  MAIN_OPTIONS                    25
#define  MAIN_OPTIONS_PARENT             26      /* callback function: FnOptionsParent */
#define  MAIN_OPTIONS_FOCUS              27      /* callback function: FnOptionsFocus */
#define  MAIN_HELP                       28
#define  MAIN_HELP_VIEWER                29      /* callback function: FnHelpUIRViewer */
#define  MAIN_HELP_SEP3                  30
#define  MAIN_HELP_ABOUT                 31      /* callback function: FnHelpAboutUIRViewer */


     /* Callback Prototypes: */ 

int  CVICALLBACK FnAboutPanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FnChildPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK FnFileClose(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnFileExit(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnFileOpen(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnHelpAboutUIRViewer(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnHelpUIRViewer(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK FnLB_PnlSelect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FnLB_UirSelect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FnMainPnl(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK FnOptionsFocus(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnOptionsParent(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrCanMaximize(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrCanMinimize(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrCloseControl(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrMovable(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrParent(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrSizable(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrSystemColors(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrTitle(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelAttrTitleBar(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelClose(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelCopy(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelPrint(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FnPanelSave(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK FnUIRViewerHelpOK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
