#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include <utility.h>
#include <formatio.h>
#include <ansi_c.h>
#include "workshop.h"

#define TRUE 1
#define FALSE 0
static int panelHandle;
static int menuHandle;
static char prj_dir[MAX_PATHNAME_LEN];
static char filename1[MAX_PATHNAME_LEN];
static char filename2[MAX_PATHNAME_LEN];
static char helpfile[MAX_PATHNAME_LEN];

static int orig_seconds;
static int orig_minutes;
static int orig_hours;


int main (int argc, char *argv[])
{
    int i;

    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */

    panelHandle = LoadPanel (0, "workshop.uir", PANEL);
    menuHandle = LoadMenuBar (panelHandle, "workshop.uir", MENU);

    GetProjectDir (prj_dir);
    sprintf (filename1, "%s\\gpib.bak", prj_dir);
    sprintf (filename2, "%s\\gpib.bmp", prj_dir);
    CopyFile (filename1, filename2);
    GetFileTime (filename2, &orig_hours, &orig_minutes, &orig_seconds);
    sprintf (filename1, "%s\\changes.bak", prj_dir);
    sprintf (filename2, "%s\\changes.txt", prj_dir);
    CopyFile (filename1, filename2);
    sprintf (helpfile, "%s\\workshop.hlp", prj_dir);

    InstallMainCallback (background_function, 0, 1);
    DisplayPanel (panelHandle);
    RunUserInterface();

    sprintf (filename2, "%s\\gpib.bmp", prj_dir);
    DeleteFile (filename2);
    sprintf (filename2, "%s\\changes.txt", prj_dir);
    DeleteFile (filename2);

    return 0;
}

void CVICALLBACK MenuFunc(int menubar, int menuItem, void *callbackData, int panel)
{
    if (menuItem == MENU_HELP_OVERVIEW)
        SystemHelp (helpfile, HELP_CONTEXT, 7, 0);
    else if (menuItem == MENU_HELP_CONTENTS)
        SystemHelp (helpfile, HELP_CONTENTS, 0, 0);
    else if (menuItem == MENU_HELP_SEARCH)
        SystemHelp (helpfile, HELP_PARTIALKEY, 0, "");

    return;
}

int CVICALLBACK PanelFunction(int panel, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_RIGHT_CLICK)
        SystemHelp (helpfile, HELP_CONTEXT, 7, 0);
    return(0);
}



CVICALLBACK picture_function(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_LEFT_DOUBLE_CLICK)
    {
        sprintf (filename1, "pbrush.exe %s\\gpib.bmp", prj_dir);
        sprintf (filename2, "%s\\gpib.bmp", prj_dir);
        GetFileTime (filename2, &orig_hours, &orig_minutes, &orig_seconds);
        LaunchExecutable (filename1);
    }
    else if (event == EVENT_RIGHT_CLICK){
        SystemHelp (helpfile, HELP_CONTEXT, 3, 0);
        return(1);
        }

    return (0);
}


CVICALLBACK doc_button(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
    {
        static int handle, status;
        sprintf (filename1, "notepad.exe %s\\changes.txt", prj_dir);
        LaunchExecutable (filename1);
    }
    else if (event == EVENT_RIGHT_CLICK) {
        SystemHelp (helpfile, HELP_CONTEXT, 6, 0);
        return(1);
        }
    return (0);

}

int CVICALLBACK background_function (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
    static int hours, minutes, seconds;

    switch (event) 
    {
    case EVENT_TIMER_TICK:
        sprintf (filename2, "%s\\gpib.bmp", prj_dir);
        GetFileTime (filename2, &hours, &minutes, &seconds);
        if ((hours != orig_hours) || (minutes != orig_minutes) || (seconds != orig_seconds))
        {
            SetWaitCursor (1);
            DisplayImageFile (panelHandle, PANEL_PICTURE, filename2);
            GetFileTime (filename2, &orig_hours, &orig_minutes, &orig_seconds);
            SetWaitCursor (0);
        }
        break;
    }
    
    return 0;
}

CVICALLBACK quit_function(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
    {
        QuitUserInterface(0);
    }
    else if (event == EVENT_RIGHT_CLICK) {
        SystemHelp (helpfile, HELP_CONTEXT, 5, 0);
        return (1);
        }
    return (0);
}

